Subject: [Emailcore] Spurious gatewaying reference

From: Alessandro Vesely <[email-masked]>
Date: Thu, 31 Dec 2020 15:45:24 +0100

Hi,

Section 4.5.5 starts with the paragraph:

    There are several types of notification messages that are required by
    existing and proposed Standards to be sent with a null reverse-path,
    namely non-delivery notifications as discussed in Section 3.7, other
    kinds of Delivery Status Notifications (DSNs, RFC 3461 [33]), and
    Message Disposition Notifications (MDNs, RFC 3798 [37]).  All of

Now, Section 3.7 is "Mail Gatewaying".  What is it referenced for here?

Perhaps, the paragraph should refer to Section 3.6.3, "Message Submission 
Servers as Relays", which discusses non-delivery notifications.

Best
Ale
--

---

From: "Alexey Melnikov" <[email-masked]>
Date: Thu, 31 Dec 2020 16:32:27 +0000

> Now, Section 3.7 is "Mail Gatewaying".  What is it referenced for here?

I read 3.7 and 4.5.5 and I agree that referencing 3.7 seems odd.

New ticket: <https://trac.ietf.org/trac/emailcore/ticket/45>

---

From: John C Klensin <[email-masked]>
Date: Thu, 31 Dec 2020 13:45:22 -0500

--On Thursday, December 31, 2020 16:32 +0000 Alexey Melnikov
<[email-masked]> wrote:

>>     There are several types of notification messages that are
>>     required by existing and proposed Standards to be sent
>>     with a null reverse-path, namely non-delivery
>>     notifications as discussed in Section 3.7, other kinds of
>>     Delivery Status Notifications (DSNs, RFC 3461 [33]), and
>> Perhaps, the paragraph should refer to Section 3.6.3,
>> "Message Submission  Servers as Relays", which discusses
>> non-delivery notifications.

After doing a bit of checking, I don't know quite how this
happened, but it appears to me that either 3.6.2 or 3.6.3 is
what was intended (there is mention of NDNs in the former too,
although only as a disclaimer.   I'd going to take 3.7 out and
add both of those for -02; one or the other can be removed if
people like.

    john